Online Update does not work

Problem

The IAC-BOX Online Update does not work.

Solution

First off it must be clarified that the IAC-BOX does not directly report connection-related errors since this should work at any time with a valid system configuration. Further information to connection-related errors can be found in the update logs on the online update WebAdmin page.

Generally there are 3 different types of errors which can appear:

  • Rsync error
  • Certificate mismatch (general connection error)
  • Kernel version too old

Attention

  • For every update the IAC-BOX will create an update log which can be accessed at the bottom of the online update page. Some information may only be available in the according log file, so these should always be checked first in case the online update fails.

Rsync Errors

Rsync errors indicate that the IAC-BOX could connect to the online update servers, but the datastream was interrupted at some point. This usually happens with some kinds of firewall solutions which do intercept SSL traffic. Review all firewall settings and disable features with possibly intercept SSL traffic.

General Connection Errors

These kinds of errors indicate general problems like:

  • No internet connection
  • The DNS servers dont resolve correctly
  • The current system time is invalid

The first 2 points can easily be tested by navigating to the WebAdmin menu System / Tools and by performing a Ping on to update.frozentox.org. This must always return a valid ping reply. If not, then the problem is related to either no internet connection or a faulty DNS server configuration. Also since the IAC-BOX uses encrypted traffic for updates, it is important that the system has a valid date and time configuration. This is required for the initial handshake for certificate-based encryption. If the system time is in the past or future, certificate checks can quickly fail and terminate the connection. As a solution, restore the default NTP server in Settings / General to ntp.frozentux.org and restart the IAC-BOX before re-trying the update process.

Kernel version too old

Following exemplary lines will be visible in the update log:

  • Upgrade not possible for this kernel version 2.6.35
  • Minimum required kernel version is 3.2!
  • Hint: to be able to upgrade to newer version (1) backup your system and (2) reinstall your system using CD/USB installation media version 6.0.8222 and (3) restore afterwards!

The kernel will only be installed once upon the initial installation of the IAC-BOX. An automated update to newer versions is not possible since hardware drivers sometimes will be removed, which would break compatibility to alot of older systems. Therefore a manual System Migration must be performed. Detailed steps for this are being explained in the according Migration Manual.